# RefactorAI 🔄🤖

**Automated Code Refactoring with AI**

RefactorAI is a powerful CLI tool that **automatically refactors your Python code** using AI, ensuring compliance with **PEP 8**, best practices, and clean code principles. Whether you need to refactor a single file or an entire project, RefactorAI optimizes your codebase with minimal effort.

---

## ✨ **Features**

✅ **PEP 8 Compliance** – Fixes indentation, naming conventions, line length, and more.
✅ **Type Hinting & Docstrings** – Adds missing type hints and documentation.  
✅ **Unused Code Detection** – Removes unused imports, variables, and functions.  
✅ **Project-Wide Refactoring** – Processes entire directories recursively.  
✅ **Custom Instructions** – Apply project-specific refactoring rules.

---

## 🚀 **Installation**

### **Option 1: Install via pip**

```bash
pip install refactorai
```

### **Option 2: From source**

```bash
git clone https://github.com/nikolaspoczekaj/RefactorAI.git
cd RefactorAI
pip install -e .
```

---

## 🛠 Usage
